Bug 737070 - Grub doesn't find symbol grub_divmod64_full
Summary: Grub doesn't find symbol grub_divmod64_full
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 14:03 UTC by Thomas Schweikle
Modified: 2012-04-16 18:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-16 18:01:33 UTC


Attachments (Terms of Use)

Description Thomas Schweikle 2011-09-09 14:03:06 UTC
Description of problem:
After installing latest upgrades, grub doesn't boot any more, spitting out "symbol not found: grub_divmod64_full".

Version-Release number of selected component (if applicable):
grub2-1.99-5.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. Install Fedora, upgrade to rawhide, upgrade to the latest packages
2. reboot
3.
  
Actual results:
grub goes to rescue mode, because of symbol not found

Expected results:
boot fedora rwahide

Additional info:

Comment 1 Thomas Schweikle 2011-09-09 14:09:23 UTC
grub2-install after upgrade seems to install grub not in the right way. looks like it doesn't detect all hd types available to boot from ...

For virtual machines (KVM) you'll have to execute commands:

grub2-install /dev/vda
grub2-mkconfig -o /boot/grub2/grub.cfg

afterwards grub works again as expected.

Comment 2 Fedora Admin XMLRPC Client 2011-09-16 19:08:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Mads Kiilerich 2011-10-17 21:18:04 UTC
> After installing latest upgrades, grub doesn't boot any more, spitting out
> "symbol not found: grub_divmod64_full".

I remember having seen this too. I'm sure it was a combination of my own fault and the issue discussed on bug 735259.

What grub2 version were you updating from?

(In reply to comment #1)
> grub2-install after upgrade seems to install grub not in the right way. looks
> like it doesn't detect all hd types available to boot from ...

Can you tell more?

Note that grub2-install will use /boot/grub2/device.map which can be updated by grub2-mkdevicemap.

> For virtual machines (KVM) you'll have to execute commands:
> 
> grub2-install /dev/vda
> grub2-mkconfig -o /boot/grub2/grub.cfg

What difference did grub2-mkconfig make? Are you sure it was needed?

Comment 4 Mads Kiilerich 2012-04-16 18:01:33 UTC
This issue was reported against early rawhide and there haven't been any response. Closing.


Note You need to log in before you can comment on or make changes to this bug.